aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/deployqtHelper_mac.sh
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@qt.io>2016-09-02 14:36:12 +0200
committerEike Ziller <eike.ziller@qt.io>2016-09-15 09:24:36 +0000
commitf4f447c07834d568117b0d74ad46de34b92ab27b (patch)
tree9d55a4c74e16bcc3ff8e7b2d30d216be8df603b1 /scripts/deployqtHelper_mac.sh
parentb5c3b3159c026db4dc71685e7bc62a5a5a922aa1 (diff)
Ship qtdiag in binary packages
Task-number: QTCREATORBUG-16135 Change-Id: I29aabb697feaf6546c807263b037d70abc0cc5eb Reviewed-by: Eike Ziller <eike.ziller@qt.io>
Diffstat (limited to 'scripts/deployqtHelper_mac.sh')
-rwxr-xr-xscripts/deployqtHelper_mac.sh20
1 files changed, 15 insertions, 5 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index d78758145c..ca91e8dac2 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -25,17 +25,26 @@
#
############################################################################
-[ $# -lt 5 ] && echo "Usage: $(basename $0) <app folder> <qt translations folder> <qt plugin folder> <qt quick imports folder> <qt quick 2 imports folder>" && exit 2
+[ $# -lt 5 ] && echo "Usage: $(basename $0) <app folder> <qt bin folder> <qt translations folder> <qt plugin folder> <qt quick imports folder> <qt quick 2 imports folder>" && exit 2
[ $(uname -s) != "Darwin" ] && echo "Run this script on Mac OS X" && exit 2;
app_path="$1"
-translation_src="$2"
-plugin_src="$3"
-quick1_src="$4"
-quick2_src="$5"
+bin_src="$2"
+translation_src="$3"
+plugin_src="$4"
+quick1_src="$5"
+quick2_src="$6"
echo "Deploying Qt"
+# copy qtdiag
+echo "- Copying qtdiag"
+cp "$bin_src/qtdiag" "$app_path/Contents/MacOS/" || exit 1
+# fix rpath if qtdiag was from binary Qt package
+( xcrun install_name_tool -delete_rpath "@loader_path/../lib" "$app_path/Contents/MacOS/qtdiag" &&
+ xcrun install_name_tool -add_rpath "@loader_path/../Frameworks" "$app_path/Contents/MacOS/qtdiag" ) || true
+
+
# collect designer plugins
designerDestDir="$app_path/Contents/PlugIns/designer"
if [ ! -d "$designerDestDir" ]; then
@@ -139,6 +148,7 @@ if [ ! -d "$app_path/Contents/Frameworks/QtCore.framework" ]; then
"-executable=$app_path/Contents/Resources/ios/iossim_1_8_2" \
"-executable=$app_path/Contents/Resources/buildoutputparser" \
"-executable=$app_path/Contents/Resources/cpaster" \
+ "-executable=$app_path/Contents/MacOS/qtdiag" \
"-executable=$qbsapp" \
"-executable=$qbsapp-config" \
"-executable=$qbsapp-config-ui" \